import { OnInit, EventEmitter, ElementRef } from '@angular/core';
export declare class ResourcesGridComponent implements OnInit {
    loadAll?: boolean;
    onSelectItems: EventEmitter<any[] | any>;
    focusElement: ElementRef;
    readonly: boolean;
    titles: any;
    items: any[];
    searchText: string;
    selectedItems: any[];
    cachedResourcesService: any;
    maxSelectCount: number;
    modalIsOpened: boolean;
    constructor();
    mockedItems: any;
    readonly meta: any;
    pageChanged(event: any): void;
    readonly statusListMessage: any;
    ngOnInit(): void;
    init(): void;
    focus(): void;
    selectItem(item: any, event?: MouseEvent, checkFirst?: boolean): void;
    isSelectedItem(item: any): boolean;
    search(ignoreCache?: boolean): void;
}
