import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AccountService } from './../../shared/account.service';
import { AppService } from '../../shared/app.service';
import { User } from '../../shared/models/user.model';
import { TranslateService } from '@ngx-translate/core';
export declare class AccountPageComponent implements OnInit {
    private router;
    private accountService;
    private app;
    private translateService;
    private title;
    readonly account: User;
    constructor(router: Router, accountService: AccountService, app: AppService, translateService: TranslateService);
    ngOnInit(): void;
    init(): void;
}
