import { OnInit, EventEmitter } from '@angular/core';
import { User } from './../../../shared/models/user.model';
import { AccountService } from './../../../shared/account.service';
import { AppService } from '../../../shared/app.service';
import { TranslateService } from '@ngx-translate/core';
export declare class ProfileFrameComponent implements OnInit {
    private accountService;
    private app;
    private translateService;
    private title;
    private userTitles;
    private rePassword;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    constructor(accountService: AccountService, app: AppService, translateService: TranslateService);
    ngOnInit(): void;
    readonly readonly: boolean;
    account: User;
    update(): void;
}
