import { Theme } from '../../shared/models/theme.model';
import { OnInit } from '@angular/core';
import { AppService } from '../../shared/app.service';
import { ThemesService } from '../../shared/themes.service';
import { TranslateService } from '@ngx-translate/core';
export declare class ThemesPageComponent implements OnInit {
    private app;
    private themesService;
    private translateService;
    private title;
    private items;
    constructor(app: AppService, themesService: ThemesService, translateService: TranslateService);
    ngOnInit(): void;
    init(): void;
    changeTheme(theme: Theme): void;
    readonly currentTheme: Theme;
    search(ignoreCache?: boolean): void;
}
