import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { Fontawesome } from './models/fontawesome.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export declare class FontawesomesService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<Fontawesome[]>;
    items: Fontawesome[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): Fontawesome;
    newCache(): FontawesomesService;
}
