import { Response } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import { AuthHttp } from 'angular2-jwt';
export declare class HttpService {
    http: AuthHttp;
    withCredentials: boolean;
    constructor(http: AuthHttp);
    get(url: string): Observable<Response>;
    post(url: string, data?: any): Observable<Response>;
    put(url: string, data?: any): Observable<Response>;
    delete(url: string): Observable<Response>;
}
