export declare class ResourceModel {
    private _pkFieldName;
    private _pkIsNumber;
    [key: string]: any;
    constructor(obj?: any, pkFieldName?: string, pkIsNumber?: boolean);
    readonly pk: string | number;
    readonly pkFieldName: string;
    parse(obj: any): void;
    parseByFields(obj: any, fields: any, dateFields?: string[]): void;
    format(): void;
    formatByFields(fields: any, dateFields?: string[]): any;
    validate(): any;
}
