import { ViewContainerRef } from '@angular/core';
import { Theme } from './models/theme.model';
import { ResourceService } from '../shared/resource.service';
import { Subject } from 'rxjs/Subject';
import { HttpService } from '../shared/http.service';
import { ResponseService } from './response.service';
export declare class ThemesService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    viewContainerRef: ViewContainerRef;
    items$: Subject<Theme[]>;
    items: Theme[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): Theme;
    newCache(): ThemesService;
    setTheme(theme: Theme): void;
    getCurrentTheme(): Theme;
}
