import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { UserGroup } from './models/user-group.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export declare class UserGroupsService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<UserGroup[]>;
    items: UserGroup[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): UserGroup;
    newCache(): UserGroupsService;
}
