import { SelectInputComponent } from './../../../controls/select-input/select-input.component';
import { ContentType } from '../../../shared/models/content-type.model';
import { EventEmitter, ComponentFactoryResolver } from '@angular/core';
import { AppService } from './../../../shared/app.service';
import { AccountService } from './../../../shared/account.service';
import { ContentTypesService } from '../../../shared/content-types.service';
import { User } from './../../../shared/models/user.model';
import { ResourceSelectInputComponent } from '../../resources-grid/resource-select-input/resource-select-input.component';
import { TranslateService } from '@ngx-translate/core';
export declare class ContentTypeSelectInputComponent extends ResourceSelectInputComponent {
    private app;
    private accountService;
    private contentTypesService;
    private resolver;
    private translateService;
    inputElement: SelectInputComponent;
    lookupTooltip?: string;
    lookupIcon?: string;
    focused: boolean;
    readonly: boolean;
    inputReadonly: boolean;
    name: string;
    placeholder: string;
    title: string;
    model: ContentType;
    modelChange: EventEmitter<ContentType>;
    modelAsString: string;
    modelAsStringChange: EventEmitter<string>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    errorsValue: any;
    infoValue: any;
    items: ContentType[];
    cachedResourcesService: ContentTypesService;
    constructor(app: AppService, accountService: AccountService, contentTypesService: ContentTypesService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    onLookup(): void;
}
