import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { ContentType } from './../../../shared/models/content-type.model';
import { User } from '././../../../shared/models/user.model';
import { ModalDirective } from 'ng2-bootstrap';
import { ContentTypesGridComponent } from '../content-types-grid.component';
export declare class ContentTypesListModalComponent implements OnInit {
    text: string;
    class: string;
    readonly: boolean;
    modal: ModalDirective;
    focusElement: ElementRef;
    onClose: EventEmitter<ContentTypesListModalComponent>;
    hideOnClose?: boolean;
    contentTypes: ContentTypesGridComponent;
    account: User;
    title: string;
    onSave: EventEmitter<ContentTypesListModalComponent>;
    item: ContentType;
    items: ContentType[];
    titles: any;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    focus(): void;
    selectContentType(items: ContentType[]): void;
    close(): boolean;
    select(): boolean;
}
