import { EventEmitter, OnInit } from '@angular/core';
import { User } from './../../../shared/models/user.model';
import { ModalDirective } from 'ng2-bootstrap';
import { TextInputComponent } from '../../../controls/text-input/text-input.component';
import { UserGroupsGridComponent } from '../../user-groups-grid/user-groups-grid.component';
export declare class UserModalComponent implements OnInit {
    modal: ModalDirective;
    focusElement: TextInputComponent;
    userGroups: UserGroupsGridComponent;
    text: string;
    class: string;
    readonly: boolean;
    hideOnClose?: boolean;
    account: User;
    title: string;
    item: User;
    titles: any;
    onClose: EventEmitter<UserModalComponent | any>;
    onSave: EventEmitter<UserModalComponent | any>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    ngOnInit(): void;
    focus(): void;
    close(): boolean;
    save(): boolean;
}
