import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { ModalDirective } from 'ng2-bootstrap';
export declare class AlertModalComponent implements OnInit {
    focusElement: ElementRef;
    modal: ModalDirective;
    text: string;
    messageClass: string;
    buttonClass: string;
    buttonText: string;
    hideOnClose?: boolean;
    size?: string;
    title?: string;
    hideButton?: boolean;
    message: string;
    onClose: EventEmitter<AlertModalComponent | any>;
    ngOnInit(): void;
    init(): void;
    focus(): void;
    close(): boolean;
}
