import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { ContentType } from './models/content-type.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export declare class ContentTypesService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<ContentType[]>;
    items: ContentType[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): ContentType;
    newCache(): ContentTypesService;
}
