import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { GroupPermission } from './models/group-permission.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export declare class GroupPermissionsService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<GroupPermission[]>;
    items: GroupPermission[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): GroupPermission;
    newCache(): GroupPermissionsService;
}
