var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { Group } from './models/group.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export var GroupsService = (function (_super) {
    __extends(GroupsService, _super);
    function GroupsService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'groups';
        this.resourceName = 'group';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
    }
    GroupsService.prototype.transformModel = function (item) {
        return new Group(item);
    };
    GroupsService.prototype.newCache = function () {
        return new GroupsService(this.http, this.response);
    };
    GroupsService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    GroupsService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return GroupsService;
}(ResourceService));
//# sourceMappingURL=groups.service.js.map