var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceModel } from '../../shared/models/resource.model';
export var GroupPermission = (function (_super) {
    __extends(GroupPermission, _super);
    function GroupPermission(obj) {
        _super.call(this, obj);
    }
    GroupPermission.prototype.parse = function (obj) {
        this.parseByFields(obj, GroupPermission.titles);
    };
    GroupPermission.prototype.format = function () {
        var result = this.formatByFields(GroupPermission.titles);
        return result;
    };
    Object.defineProperty(GroupPermission.prototype, "asString", {
        get: function () {
            return this.permissionAsString;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GroupPermission.prototype, "permissionAsString", {
        get: function () {
            if (this.permission) {
                return this.permission.asString;
            }
            else {
                return '';
            }
        },
        enumerable: true,
        configurable: true
    });
    GroupPermission.titles = {
        id: 'Id',
        group: 'Group',
        permission: 'Permission',
    };
    return GroupPermission;
}(ResourceModel));
//# sourceMappingURL=group-permission.model.js.map