var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceModel } from './resource.model';
export var MetaModel = (function (_super) {
    __extends(MetaModel, _super);
    function MetaModel() {
        _super.apply(this, arguments);
    }
    MetaModel.prototype.parse = function (obj) {
        this.parseByFields(obj, MetaModel.titles, MetaModel.dateFields);
    };
    MetaModel.prototype.format = function () {
        var result = this.formatByFields(MetaModel.titles, MetaModel.dateFields);
        return result;
    };
    MetaModel.titles = {
        totalResults: 'Total results',
        curPage: 'Current page',
        totalPages: 'Total pages',
        perPage: 'Per page' //translate
    };
    MetaModel.dateFields = [];
    return MetaModel;
}(ResourceModel));
//# sourceMappingURL=meta.model.js.map