var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceModel } from '../../shared/models/resource.model';
export var UserGroup = (function (_super) {
    __extends(UserGroup, _super);
    function UserGroup(obj) {
        _super.call(this, obj);
    }
    UserGroup.prototype.parse = function (obj) {
        this.parseByFields(obj, UserGroup.titles);
    };
    UserGroup.prototype.format = function () {
        var result = this.formatByFields(UserGroup.titles);
        return result;
    };
    Object.defineProperty(UserGroup.prototype, "asString", {
        get: function () {
            return this.groupAsString;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UserGroup.prototype, "groupAsString", {
        get: function () {
            if (this.group) {
                return this.group.asString;
            }
            else {
                return '';
            }
        },
        enumerable: true,
        configurable: true
    });
    UserGroup.titles = {
        id: 'Id',
        user: 'User',
        group: 'Group',
    };
    return UserGroup;
}(ResourceModel));
//# sourceMappingURL=user-group.model.js.map