import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { Permission } from './models/permission.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export declare class PermissionsService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<Permission[]>;
    items: Permission[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): Permission;
    newCache(): PermissionsService;
}
