import { ComponentFactoryResolver, OnInit } from '@angular/core';
import { AccountService } from '../../shared/account.service';
import { User } from '../../shared/models/user.model';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { Router } from '@angular/router';
import { AppService } from '../../shared/app.service';
import { AuthModalComponent } from '../../modals/auth-modal/auth-modal.component';
import { TranslateService } from '@ngx-translate/core';
export declare class NavbarComponent implements OnInit {
    private app;
    private accountService;
    private router;
    private resolver;
    private translateService;
    constructor(app: AppService, accountService: AccountService, router: Router, resolver: ComponentFactoryResolver, translateService: TranslateService);
    ngOnInit(): void;
    init(): void;
    readonly account: User;
    showLogoutModal(): void;
    logout(itemModal: ConfirmModalComponent): void;
    showLoginModal(): void;
    login(itemModal: AuthModalComponent): void;
}
