import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { Fontawesome } from './../../../shared/models/fontawesome.model';
import { User } from './../../../shared/models/user.model';
import { ModalDirective } from 'ng2-bootstrap';
import { FontawesomesGridComponent } from '../fontawesomes-grid.component';
export declare class FontawesomesListModalComponent implements OnInit {
    text: string;
    class: string;
    readonly: boolean;
    modal: ModalDirective;
    focusElement: ElementRef;
    onClose: EventEmitter<FontawesomesListModalComponent>;
    hideOnClose?: boolean;
    fontawesomes: FontawesomesGridComponent;
    account: User;
    title: string;
    onSave: EventEmitter<FontawesomesListModalComponent>;
    item: Fontawesome;
    items: Fontawesome[];
    titles: any;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    focus(): void;
    selectFontawesome(items: Fontawesome[]): void;
    close(): boolean;
    select(): boolean;
}
