import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { ModalDirective } from 'ng2-bootstrap';
export declare class ConfirmModalComponent implements OnInit {
    modal: ModalDirective;
    focusElement: ElementRef;
    text: string;
    class: string;
    hideOnClose?: boolean;
    size?: string;
    title?: string;
    hideButton?: boolean;
    message: string;
    onClose: EventEmitter<ConfirmModalComponent | any>;
    onYes: EventEmitter<ConfirmModalComponent | any>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    yes(): boolean;
    ngOnInit(): void;
    init(): void;
    focus(): void;
    close(): boolean;
}
