import { HttpService } from '../shared/http.service';
import { EventEmitter } from '@angular/core';
import { AuthHttp } from 'angular2-jwt';
import { User } from './models/user.model';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { ResponseService } from './response.service';
export declare class AccountService {
    private http;
    private authHttp;
    private response;
    account$: Subject<User>;
    private _account;
    constructor(http: HttpService, authHttp: AuthHttp, response: ResponseService);
    account: User;
    readonly apiUrl: string;
    info(): EventEmitter<{}>;
    login(account: User): EventEmitter<{}>;
    logout(): EventEmitter<{}>;
    update(account: User): EventEmitter<{}>;
}
