import { ResourceModel } from './resource.model';
import { Group } from './group.model';
export declare class User extends ResourceModel {
    static titles: any;
    static dateFields: ['lastLogin', 'dateJoined'];
    id: number;
    username: string;
    password: string;
    rePassword: string;
    firstName: string;
    lastName: string;
    email: string;
    isSuperuser: boolean;
    isStaff: boolean;
    isActive: boolean;
    lastLogin: Date;
    dateJoined: Date;
    groups: Group[];
    _cachedPermission: any;
    constructor(obj?: any);
    roles: {
        isActive: boolean;
        isStaff: boolean;
        isSuperuser: boolean;
    };
    parse(obj: any): void;
    validate(): any;
    format(): any;
    readonly asString: string;
    checkRoles(rolesName: string[]): boolean;
    checkRole(roleName: string): boolean;
    checkPermissions(permissionNames: string[]): boolean;
    readonly rolesAsString: string;
    readonly groupsAsString: string;
    readonly AsLoginUser: {
        username: string;
        password: string;
    };
}
