import { ResourceService } from '../shared/resource.service';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { User } from './models/user.model';
import { HttpService } from '../shared/http.service';
import { ResponseService } from '../shared/response.service';
export declare class UsersService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<User[]>;
    items: User[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): User;
    newCache(): UsersService;
}
