/**
 * Import components
 */
import { UserGroupsGridComponent } from './grids/user-groups-grid/user-groups-grid.component';
import { GroupPermissionsGridComponent } from './grids/group-permissions-grid/group-permissions-grid.component';
import { PermissionsGridComponent } from './grids/permissions-grid/permissions-grid.component';
import { PermissionInputComponent } from './grids/permissions-grid/permission-input/permission-input.component';
import { ContentTypesGridComponent } from './grids/content-types-grid/content-types-grid.component';
import { ContentTypeSelectInputComponent } from './grids/content-types-grid/content-type-select-input/content-type-select-input.component';
import { ThemesPageComponent } from './pages/themes-page/themes-page.component';
import { AdminPageComponent } from './pages/admin-page/admin-page.component';
import { AccountPageComponent } from './pages/account-page/account-page.component';
import { ErrorFrameComponent } from './frames/error-frame/error-frame.component';
import { UsersFrameComponent } from './pages/admin-page/users-frame/users-frame.component';
import { ProfileFrameComponent } from './pages/account-page/profile-frame/profile-frame.component';
import { GridSearchPanelComponent } from './controls/grid-search-panel/grid-search-panel.component';
import { PageHeaderComponent } from './controls/page-header/page-header.component';
import { PageSubHeaderComponent } from './controls/page-sub-header/page-sub-header.component';
import { GridRowButtonsComponent } from './controls/grid-row-buttons/grid-row-buttons.component';
import { ModalFooterButtonsComponent } from './controls/modal-footer-buttons/modal-footer-buttons.component';
import { UsersGridComponent } from './grids/users-grid/users-grid.component';
import { FontawesomeInputComponent } from './grids/fontawesomes-grid/fontawesome-input/fontawesome-input.component';
import { FontawesomesGridComponent } from './grids/fontawesomes-grid/fontawesomes-grid.component';
import { GroupsFrameComponent } from './pages/admin-page/groups-frame/groups-frame.component';
import { GroupSelectInputComponent } from './grids/groups-grid/group-select-input/group-select-input.component';
import { GroupsGridComponent } from './grids/groups-grid/groups-grid.component';
import { NavbarComponent } from './controls/navbar/navbar.component';
import { HomePageComponent } from './pages/home-page/home-page.component';
declare const CoreComponents: (typeof PermissionsGridComponent | typeof GroupPermissionsGridComponent | typeof GroupsGridComponent | typeof UserGroupsGridComponent | typeof PermissionInputComponent | typeof ContentTypesGridComponent | typeof ContentTypeSelectInputComponent | typeof ThemesPageComponent | typeof AdminPageComponent | typeof AccountPageComponent | typeof ErrorFrameComponent | typeof UsersFrameComponent | typeof ProfileFrameComponent | typeof GridSearchPanelComponent | typeof PageHeaderComponent | typeof PageSubHeaderComponent | typeof GridRowButtonsComponent | typeof ModalFooterButtonsComponent | typeof UsersGridComponent | typeof FontawesomesGridComponent | typeof FontawesomeInputComponent | typeof GroupsFrameComponent | typeof GroupSelectInputComponent | typeof NavbarComponent | typeof HomePageComponent)[];
export { CoreComponents };
