import { OnInit, EventEmitter, ElementRef } from '@angular/core';
export declare class CheckboxesInputComponent implements OnInit {
    inputElement: ElementRef;
    focused: boolean;
    readonly: boolean;
    name: string;
    title: string;
    models: {
        [key: string]: boolean;
    };
    checkboxesTitles: {
        [key: string]: string;
    };
    modelsChange: EventEmitter<{
        [key: string]: boolean;
    }>;
    values: {
        [key: string]: boolean;
    };
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    private errorsValue;
    private infoValue;
    ngOnInit(): void;
    init(): void;
    focus(): void;
    updateModels(): void;
    keys(object: {}): string[];
}
