import { Component, Input } from '@angular/core';
import { AccountService } from './../../shared/account.service';
export var PageHeaderComponent = (function () {
    function PageHeaderComponent(accountService) {
        this.accountService = accountService;
    }
    PageHeaderComponent.prototype.ngOnInit = function () { };
    Object.defineProperty(PageHeaderComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    PageHeaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'page-header',
                    template: "\n    <h1 class=\"page-header\">\n      {{ title | translate }}\n    </h1>\n  ",
                    styles: ["\n    .page-header {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    PageHeaderComponent.ctorParameters = function () { return [
        { type: AccountService, },
    ]; };
    PageHeaderComponent.propDecorators = {
        'title': [{ type: Input },],
    };
    return PageHeaderComponent;
}());
//# sourceMappingURL=page-header.component.js.map