import { OnInit, EventEmitter, ElementRef } from '@angular/core';
export declare class RadiosInputComponent implements OnInit {
    inputElement: ElementRef;
    focused: boolean;
    readonly: boolean;
    name: string;
    title: string;
    values: {
        [key: string]: string;
    };
    model: string;
    radiosTitles: {
        [key: string]: string;
    };
    modelChange: EventEmitter<string>;
    value: string;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    private errorsValue;
    private infoValue;
    ngOnInit(): void;
    init(): void;
    focus(): void;
    keys(object: {}): string[];
    updateModel(): void;
}
