import { Fontawesome } from '../../../shared/models/fontawesome.model';
import { EventEmitter, ElementRef, ComponentFactoryResolver } from '@angular/core';
import { AppService } from '../../../shared/app.service';
import { AccountService } from '../../../shared/account.service';
import { FontawesomesService } from '../../../shared/fontawesomes.service';
import { User } from '../../../shared/models/user.model';
import { ResourceInputComponent } from '../../resources-grid/resource-input/resource-input.component';
import { TranslateService } from '@ngx-translate/core';
export declare class FontawesomeInputComponent extends ResourceInputComponent {
    private app;
    private accountService;
    private fontawesomesService;
    private resolver;
    private translateService;
    inputElement: ElementRef;
    lookupTooltip?: string;
    lookupIcon?: string;
    focused: boolean;
    readonly: boolean;
    inputReadonly: boolean;
    name: string;
    placeholder: string;
    title: string;
    model: Fontawesome;
    modelChange: EventEmitter<Fontawesome>;
    modelAsString: string;
    modelAsStringChange: EventEmitter<string>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    errorsValue: any;
    infoValue: any;
    items: Fontawesome[];
    cachedResourcesService: FontawesomesService;
    constructor(app: AppService, accountService: AccountService, fontawesomesService: FontawesomesService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    onLookup(): void;
}
