import { EventEmitter, OnInit } from '@angular/core';
import { Fontawesome } from './../../../shared/models/fontawesome.model';
import { ModalDirective } from 'ng2-bootstrap';
import { User } from '../../../shared/models/user.model';
import { TextInputComponent } from '../../../controls/text-input/text-input.component';
export declare class FontawesomeModalComponent implements OnInit {
    modal: ModalDirective;
    focusElement: TextInputComponent;
    text: string;
    class: string;
    readonly: boolean;
    hideOnClose?: boolean;
    account: User;
    title: string;
    item: Fontawesome;
    titles: any;
    onClose: EventEmitter<FontawesomeModalComponent>;
    onSave: EventEmitter<FontawesomeModalComponent>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    ngOnInit(): void;
    focus(): void;
    close(): boolean;
    save(): boolean;
}
