import { EventEmitter, OnInit } from '@angular/core';
import { Group } from './../../../shared/models/group.model';
import { ModalDirective } from 'ng2-bootstrap';
import { User } from '../../../shared/models/user.model';
import { TextInputComponent } from '../../../controls/text-input/text-input.component';
import { GroupPermissionsGridComponent } from '../../group-permissions-grid/group-permissions-grid.component';
export declare class GroupModalComponent implements OnInit {
    modal: ModalDirective;
    focusElement: TextInputComponent;
    groupPermissions: GroupPermissionsGridComponent;
    text: string;
    class: string;
    readonly: boolean;
    hideOnClose?: boolean;
    account: User;
    title: string;
    item: Group;
    titles: any;
    onClose: EventEmitter<GroupModalComponent>;
    onSave: EventEmitter<GroupModalComponent>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    ngOnInit(): void;
    focus(): void;
    close(): boolean;
    save(): boolean;
}
