import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { Group } from '../../../shared/models/group.model';
import { User } from '../../../shared/models/user.model';
import { ModalDirective } from 'ng2-bootstrap';
import { GroupsGridComponent } from '../groups-grid.component';
export declare class GroupsListModalComponent implements OnInit {
    text: string;
    class: string;
    readonly: boolean;
    modal: ModalDirective;
    focusElement: ElementRef;
    onClose: EventEmitter<GroupsListModalComponent>;
    hideOnClose?: boolean;
    groups: GroupsGridComponent;
    account: User;
    title: string;
    onSave: EventEmitter<GroupsListModalComponent>;
    item: Group;
    items: Group[];
    titles: any;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    focus(): void;
    selectGroup(items: Group[]): void;
    close(): boolean;
    select(): boolean;
}
