import { EventEmitter, OnInit } from '@angular/core';
import { Permission } from './../../../shared/models/permission.model';
import { ModalDirective } from 'ng2-bootstrap';
import { User } from './../../../shared/models/user.model';
import { TextInputComponent } from './../../../controls/text-input/text-input.component';
export declare class PermissionModalComponent implements OnInit {
    modal: ModalDirective;
    focusElement: TextInputComponent;
    text: string;
    class: string;
    readonly: boolean;
    hideOnClose?: boolean;
    account: User;
    title: string;
    item: Permission;
    titles: any;
    onClose: EventEmitter<PermissionModalComponent>;
    onSave: EventEmitter<PermissionModalComponent>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    ngOnInit(): void;
    focus(): void;
    close(): boolean;
    save(): boolean;
}
