import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { Permission } from './../../../shared/models/permission.model';
import { User } from '././../../../shared/models/user.model';
import { ModalDirective } from 'ng2-bootstrap';
import { PermissionsGridComponent } from '../permissions-grid.component';
export declare class PermissionsListModalComponent implements OnInit {
    text: string;
    class: string;
    readonly: boolean;
    modal: ModalDirective;
    focusElement: ElementRef;
    onClose: EventEmitter<PermissionsListModalComponent>;
    hideOnClose?: boolean;
    permissions: PermissionsGridComponent;
    account: User;
    title: string;
    onSave: EventEmitter<PermissionsListModalComponent>;
    item: Permission;
    items: Permission[];
    titles: any;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    focus(): void;
    selectPermission(items: Permission[]): void;
    close(): boolean;
    select(): boolean;
}
