import { EventEmitter, OnInit } from '@angular/core';
import { ModalDirective } from 'ng2-bootstrap';
import { User } from './../../shared/models/user.model';
import { TextInputComponent } from '../../controls/text-input/text-input.component';
export declare class AuthModalComponent implements OnInit {
    modal: ModalDirective;
    focusElement: TextInputComponent;
    title: string;
    class: string;
    hideOnClose?: boolean;
    hideButton?: boolean;
    account: User;
    onClose: EventEmitter<AuthModalComponent | any>;
    onLogin: EventEmitter<AuthModalComponent | any>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    private userTitles;
    ngOnInit(): void;
    init(): void;
    focus(): void;
    close(): boolean;
    login(): boolean;
}
