var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { ContentType } from './models/content-type.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export var ContentTypesService = (function (_super) {
    __extends(ContentTypesService, _super);
    function ContentTypesService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'content_types';
        this.resourceName = 'content_type';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
    }
    ContentTypesService.prototype.transformModel = function (item) {
        return new ContentType(item);
    };
    ContentTypesService.prototype.newCache = function () {
        return new ContentTypesService(this.http, this.response);
    };
    ContentTypesService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ContentTypesService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return ContentTypesService;
}(ResourceService));
//# sourceMappingURL=content-types.service.js.map