import { AuthHttp, AuthConfig } from 'angular2-jwt';
export var AuthHttpFactory = (function () {
    function AuthHttpFactory() {
    }
    AuthHttpFactory.create = function (http, options) {
        return new AuthHttp(new AuthConfig({
            headerName: 'Authorization',
            headerPrefix: 'JWT',
            tokenName: 'token',
            tokenGetter: (function () { return localStorage.getItem('token'); }),
            globalHeaders: [{ 'Content-Type': 'application/json' }],
            noJwtError: true,
            noTokenScheme: true
        }), http, options);
    };
    return AuthHttpFactory;
}());
//# sourceMappingURL=auth-http.factory.js.map