import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { Group } from './models/group.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export declare class GroupsService extends ResourceService {
    http: HttpService;
    response: ResponseService;
    items$: Subject<Group[]>;
    items: Group[];
    apiUrl: string;
    constructor(http: HttpService, response: ResponseService);
    transformModel(item: any): Group;
    newCache(): GroupsService;
}
