var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceModel } from './resource.model';
export var Fontawesome = (function (_super) {
    __extends(Fontawesome, _super);
    function Fontawesome(obj) {
        _super.call(this, obj, 'class', false);
    }
    Fontawesome.prototype.parse = function (obj) {
        this.parseByFields(obj, Fontawesome.titles);
    };
    Fontawesome.prototype.format = function () {
        var result = this.formatByFields(Fontawesome.titles);
        return result;
    };
    Object.defineProperty(Fontawesome.prototype, "asString", {
        get: function () {
            return this.class;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Fontawesome.prototype, "iconAsHtml", {
        get: function () {
            if (this.class) {
                return "<i class=\"" + this.class + "\" aria-hidden=\"true\"></i>";
            }
            else {
                return null;
            }
        },
        enumerable: true,
        configurable: true
    });
    Fontawesome.titles = {
        icon: 'Icon',
        code: 'Code',
        class: 'Class' //translate
    };
    return Fontawesome;
}(ResourceModel));
//# sourceMappingURL=fontawesome.model.js.map