var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { Permission } from './models/permission.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export var PermissionsService = (function (_super) {
    __extends(PermissionsService, _super);
    function PermissionsService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'permissions';
        this.resourceName = 'permission';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
    }
    PermissionsService.prototype.transformModel = function (item) {
        return new Permission(item);
    };
    PermissionsService.prototype.newCache = function () {
        return new PermissionsService(this.http, this.response);
    };
    PermissionsService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    PermissionsService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return PermissionsService;
}(ResourceService));
//# sourceMappingURL=permissions.service.js.map