var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { UserGroup } from './models/user-group.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
export var UserGroupsService = (function (_super) {
    __extends(UserGroupsService, _super);
    function UserGroupsService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'user_groups';
        this.resourceName = 'user_group';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
        this.meta.perPage = 10;
    }
    UserGroupsService.prototype.transformModel = function (item) {
        return new UserGroup(item);
    };
    UserGroupsService.prototype.newCache = function () {
        return new UserGroupsService(this.http, this.response);
    };
    UserGroupsService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    UserGroupsService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return UserGroupsService;
}(ResourceService));
//# sourceMappingURL=user-groups.service.js.map