var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceService } from '../shared/resource.service';
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { User } from './models/user.model';
import { HttpService } from '../shared/http.service';
import { ResponseService } from '../shared/response.service';
export var UsersService = (function (_super) {
    __extends(UsersService, _super);
    function UsersService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'users';
        this.resourceName = 'user';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
    }
    UsersService.prototype.transformModel = function (item) {
        return new User(item);
    };
    UsersService.prototype.newCache = function () {
        return new UsersService(this.http, this.response);
    };
    UsersService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    UsersService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return UsersService;
}(ResourceService));
//# sourceMappingURL=users.service.js.map